[PATCH] Improve compatibility with python < 2.7

Javier Jardón javier.jardon at codethink.co.uk
Fri Jan 18 11:30:32 GMT 2013


Repo: ssh://git@git.baserock.org/baserock/baserock/morph.git
Ref: jjardon/python_compatibility_fixes
SHA1: 37f8d84d7ab356169bf7c04bdecb39a61b85c88d

Current support for Python < 2.7 seems to be broken
Use the backported ordereddict in case we are using Python < 2.7
so we have the same code base for all Python versions

Javier Jardón (1):
  morph2: Improve compatibility with python < 2.7

 morphlib/morph2.py | 29 +++++++++--------------------
 1 file changed, 9 insertions(+), 20 deletions(-)

-- 
1.8.0.2





More information about the baserock-dev mailing list